spandsp 0.0.6

modem_connect_tones_rx_state_s Struct Reference

`#include <modem_connect_tones.h>`

## Public Attributes
int | tone_type
| The tone type being detected.
tone_report_func_t | tone_callback
| Callback routine, using to report detection of the tone.
void * | callback_data
| An opaque pointer passed to tone_callback.
float | znotch_1
| The notch filter state.
float | znotch_2
float | z15hz_1
| The 15Hz AM filter state.
float | z15hz_2
int32_t | notch_level
| The in notch power estimate.
int32_t | channel_level
| The total channel power estimate.
int32_t | am_level
| The 15Hz AM power estimate.
int | chunk_remainder
| Sample counter for the small chunks of samples, after which a test is conducted.
int | tone_present
| TRUE is the tone is currently confirmed present in the audio.
int | tone_on
int | tone_cycle_duration
| A millisecond counter, to time the duration of tone sections.
int | good_cycles
| A count of the number of good cycles of tone reversal seen.
int | hit
| TRUE if the tone has been seen since the last time the user tested for it.
fsk_rx_state_t | v21rx
| A V.21 FSK modem context used when searching for FAX preamble.
unsigned int | raw_bit_stream
| The raw (stuffed) bit stream buffer.
int | num_bits
| The current number of bits in the octet in progress.
int | flags_seen
| Number of consecutive flags seen so far.
int | framing_ok_announced
| TRUE if framing OK has been announced.

## Detailed Description

Modem connect tones receiver descriptor. This defines the state of a single working instance of the tone detector.

The documentation for this struct was generated from the following file:

- private/modem_connect_tones.h